const CircleMaterial = require('CircleMaterial');

cc.Class({
	extends : cc.Component,

	properties : {
		target : cc.Sprite
	},

	onLoad : function() {
		// this.target.spriteFrame._loadTexture();
		cc.dynamicAtlasManager.enabled = false;
		this._material = new CircleMaterial();
	},

	start : function() {
		if(this.target) {
			let texture = this.target.spriteFrame.getTexture();
			this._material.setTexture(texture);
			this._material.updateHash();
			this.target._material = this._material;
			this.target._renderData._material = this._material;
		}
	}
});