// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        testUI : cc.Prefab
    },

    onLoad : function() {
        this.showUI('testUI');
    },

    showUI : function(prefabName) {
        if(Object.hasOwnProperty.call(this, prefabName)) {
            let ui = cc.instantiate(this[prefabName]);
            ui.parent = this.node;
            ui.active = true;
        } else {
            cc.error('not found prefab: ' + prefabName);
        }
    }
});
